Bug 1005472 - [abrt] gnome-abrt-0.3.0-3.fc19: views.py:498:_reload_problems:AttributeError: 'NoneType' object has no attribute 'get_iter_first'
Summary: [abrt] gnome-abrt-0.3.0-3.fc19: views.py:498:_reload_problems:AttributeError:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5ea14466a53b2b76fb5b74ae115...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-07 11:55 UTC by Mikhail
Modified: 2016-12-01 00:44 UTC (History)
2 users (show)

Fixed In Version: gnome-abrt-0.3.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-15 00:55:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.38 KB, text/plain)
2013-09-07 11:55 UTC, Mikhail
no flags Details
File: environ (1.51 KB, text/plain)
2013-09-07 11:55 UTC, Mikhail
no flags Details

Description Mikhail 2013-09-07 11:55:00 UTC
Version-Release number of selected component:
gnome-abrt-0.3.0-3.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /usr/bin/gnome-abrt
executable:     /usr/bin/gnome-abrt
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
views.py:498:_reload_problems:AttributeError: 'NoneType' object has no attribute 'get_iter_first'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/signals.py", line 56, in _gsource_handle_signal
    data[0]()
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/controller.py", line 57, in _refresh_sources
    src.refresh()
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 355, in refresh
    self.notify()
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 346, in notify
    super(MultipleSources, self).notify(change_type, problem)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 61, in notify
    observer.changed(self, change_type, problem)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 202, in changed
    self.wnd._reload_problems(source)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 498, in _reload_problems
    pit = model.get_iter_first()
AttributeError: 'NoneType' object has no attribute 'get_iter_first'

Local variables in innermost frame:
old_selection: None
source: <gnome_abrt.problems.MultipleSources object at 0x17ec990>
self: <OopsWindow object at 0x17e36e0 (gnome_abrt+views+OopsWindow at 0x1390290)>
p: ['kernel\nKerneloops', '13:02:14\n1', <gnome_abrt.problems.Problem instance at 0x1940998>]
prblms: [<gnome_abrt.problems.Problem instance at 0x17ed9e0>, <gnome_abrt.problems.Problem instance at 0x1940758>, <gnome_abrt.problems.Problem instance at 0x1940680>, <gnome_abrt.problems.Problem instance at 0x1940830>, <gnome_abrt.problems.Problem instance at 0x1940878>, <gnome_abrt.problems.Problem instance at 0x1940950>, <gnome_abrt.problems.Problem instance at 0x1940998>]
model: None
pit: None
storage_problems: [['Google Drive\n', '13:12:38\n1', <gnome_abrt.problems.Problem instance at 0x17ed9e0>], ['kernel\nKerneloops', '12:28:33\n1', <gnome_abrt.problems.Problem instance at 0x1940758>], ['kernel\nKerneloops', '12:42:42\n1', <gnome_abrt.problems.Problem instance at 0x1940680>], ['kernel\nKerneloops', '12:39:15\n1', <gnome_abrt.problems.Problem instance at 0x1940830>], ['kernel\nKerneloops', 'Last month\n1', <gnome_abrt.problems.Problem instance at 0x1940878>], ['kernel\nKerneloops', '12:30:23\n1', <gnome_abrt.problems.Problem instance at 0x1940950>], ['kernel\nKerneloops', '13:02:14\n1', <gnome_abrt.problems.Problem instance at 0x1940998>]]

Comment 1 Mikhail 2013-09-07 11:55:04 UTC
Created attachment 795100 [details]
File: backtrace

Comment 2 Mikhail 2013-09-07 11:55:07 UTC
Created attachment 795101 [details]
File: environ

Comment 3 Jakub Filak 2013-09-13 11:36:47 UTC
Thank you for the bug report.

Fixed in upstream git:

commit b225e7a9f71cc150100bea17e685e3a4f6c21f3f
Author: Jakub Filak <jfilak@redhat.com>
Date:   Fri Sep 13 11:04:00 2013 +0200

    Do not crash on None in signal handler
    
    Closes rhbz#1005472
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Petr Kubat <pkubat@redhat.com>

Comment 4 Fedora Update System 2013-09-13 13:10:57 UTC
gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19

Comment 5 Fedora Update System 2013-09-14 02:40:39 UTC
Package gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc19 abrt-2.1.7-1.fc19 libreport-2.1.7-1.fc19 satyr-0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16707/gnome-abrt-0.3.1-1.fc19,abrt-2.1.7-1.fc19,libreport-2.1.7-1.fc19,satyr-0.9-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-15 00:55:59 UTC
gnome-abrt-0.3.1-1.fc19, abrt-2.1.7-1.fc19, libreport-2.1.7-1.fc19, satyr-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.